#pragma  once
#include <vector>
#include "SensorDatumConcept.h"

namespace Aftr
{

class NetMessengerStreamBuffer;

class SensorDatumFileIO
{
public:

   template< Aftr::SensorDatumConcept T >
   static std::vector<T> fromFile( const std::string& fileName );

   template< Aftr::SensorDatumConcept T >
   static NetMessengerStreamBuffer fromFileAsNetBuffer( const std::string& fileName );

   template< Aftr::SensorDatumConcept T>
   static bool toFile( const std::string& fileName, const std::vector<T>& dat );

};


} //namespace Aftr

#include "SensorDatumFileIO.cpptemplate.h"
